summaryrefslogtreecommitdiff
path: root/src/scripts/Configure-Makefile
diff options
context:
space:
mode:
authorNigel Metheringham <nigel@exim.org>2009-11-20 21:22:20 +0000
committerNigel Metheringham <nigel@exim.org>2009-11-20 21:22:20 +0000
commit177ebd9bf36a4603935ab7d0f5f3d10199fe26d0 (patch)
treea12c40e98205e546e88005c7941c19204efa789b /src/scripts/Configure-Makefile
parent663ee6d9fa464ba3523af5541a3c26a3da224bb9 (diff)
Flag broken perl installation during build. Fixes: #915
Diffstat (limited to 'src/scripts/Configure-Makefile')
-rwxr-xr-xsrc/scripts/Configure-Makefile8
1 files changed, 7 insertions, 1 deletions
diff --git a/src/scripts/Configure-Makefile b/src/scripts/Configure-Makefile
index 41cc88b18..35bb2c32f 100755
--- a/src/scripts/Configure-Makefile
+++ b/src/scripts/Configure-Makefile
@@ -1,5 +1,5 @@
#! /bin/sh
-# $Cambridge: exim/src/scripts/Configure-Makefile,v 1.2 2005/09/19 14:42:31 ph10 Exp $
+# $Cambridge: exim/src/scripts/Configure-Makefile,v 1.3 2009/11/20 21:22:20 nm4 Exp $
# Shell script to build Makefile in a build directory. It must be called
# from inside the directory. It does its own checking of when to rebuild; it
@@ -129,6 +129,12 @@ if [ "${EXIM_PERL}" != "" ] ; then
exit 1
fi
+ EXTUTILS_EMBED_NOT_INSTALLED=`$PERL_COMMAND -MExtUtils::Embed -e ";" 2>&1`
+ if [ "${EXTUTILS_EMBED_NOT_INSTALLED}" != "" ] ; then
+ echo "Please install ExtUtils::Embed for $PERL_COMMAND"
+ exit 1;
+ fi
+
mv $mft $mftt
echo "PERL_CC=`$PERL_COMMAND -MConfig -e 'print $Config{cc}'`" >>$mft
echo "PERL_CCOPTS=`$PERL_COMMAND -MExtUtils::Embed -e ccopts`" >>$mft